import request from "./index";
import qs from "qs";


/* 获取会员用户列表
"inputText": "string",
"page": 0,
"size": 0,
"type": 0,
"userId": "string" 
*/
export const findUserList = (params: any) => {
  return request({
    url: "/saas/api-u/user/findUserList",
    method: "post",
    data: params
  });
};

/* 获取运营用户列表
"inputText": "string",
"page": 0,
"size": 0,
"type": 0,
"userId": "string" 
*/
export const getManagerList = (params: any) => {
  return request({
    url: "/saas/api-u/user/findManagerList",
    method: "post",
    data: params
  });
};

export const saveSubUser = (params: any) => {
  return request({
    url: "/saas/api-u/user/saveSubUser",
    method: "post",
    data: params
  });
};

export const saveMember = (params: any) => {
  return request({
    url: "/saas/api-u/user/saveUser",
    method: "post",
    data: params
  });
};
/* 
  获取当前用户可见菜单
*/
export const getMenu = () => {
  return request({
    url: "/saas/api-u/menu/tree",
    method: "get"
  });
};

export const getDataTree = (params) => {
  return request({
    url: "/saas/api-u/user/dataTree",
    method: "post",
    data: params
  });
};

export const saveManager = (params: any) => {
  return request({
    url: "/saas/api-u/user/saveManager",
    method: "post",
    data: params
  });
};

export const statisticByUser = (params: any) => {
  return request({
    url: "/saas/api-s/statistic/statisticByUser",
    method: "post",
    data: params
  });
};


export const getUserMenus = (query: any) => {
  return request({
    url: "/saas/api-u/users/findById",
    method: "post",
    data: qs.stringify(query)
  });
};

export const updataUser = (params: any) => {
  return request({
    url: "/saas/api-u/users/saveAuth",
    method: "post",
    data: params
  });
};
